<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatParameters/PPEMatClassParameterFloat.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d74/_p_p_e_mat_class_parameter_float_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">PPEMatClassParameterFloat.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html">PPEMatClassParameterCommandData</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a58812ac45df76e1e75325821d801e97a"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a783b5a389afd93d7d9c8f1c4096f33c6">PPEMatClassParameterFloat</a> extends <a class="el" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html">PPEMatClassParameterCommandData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a58812ac45df76e1e75325821d801e97a">PPEMatClassParameterFloatSaturation</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mat_idx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> parameter_idx, <a class="el" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a> parent)</td></tr>
<tr class="separator:a58812ac45df76e1e75325821d801e97a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a783b5a389afd93d7d9c8f1c4096f33c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a783b5a389afd93d7d9c8f1c4096f33c6">PPEMatClassParameterFloat</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mat_idx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> parameter_idx, <a class="el" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a> parent)</td></tr>
<tr class="separator:a783b5a389afd93d7d9c8f1c4096f33c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0b7637377cf578a7809edba22ef3868"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#ae0b7637377cf578a7809edba22ef3868">InitDefaults</a> ()</td></tr>
<tr class="separator:ae0b7637377cf578a7809edba22ef3868"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ca31e6462165fe127b3dc6af49cf712"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a5ca31e6462165fe127b3dc6af49cf712">InitCuttent</a> ()</td></tr>
<tr class="separator:a5ca31e6462165fe127b3dc6af49cf712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6440924d96037252cc2a307850b94857"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a6440924d96037252cc2a307850b94857">GetParameterVarType</a> ()</td></tr>
<tr class="separator:a6440924d96037252cc2a307850b94857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87c7af617bbb5c36ba1e48c6a5f7b6bf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a87c7af617bbb5c36ba1e48c6a5f7b6bf">Update</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> timeslice, out <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> p_total, out <a class="el" href="../../d9/db9/classbool.html">bool</a> setting_defaults, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> order)</td></tr>
<tr class="separator:a87c7af617bbb5c36ba1e48c6a5f7b6bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f419829262d94f4d3e885dae0aad74d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a9f419829262d94f4d3e885dae0aad74d">PrepareLayerInfo</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> layer, <a class="el" href="../../d4/dc3/classfloat.html">float</a> value, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> operator)</td></tr>
<tr class="separator:a9f419829262d94f4d3e885dae0aad74d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4200f904571bbcaa613c50aa56714aab"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a4200f904571bbcaa613c50aa56714aab">SetParameterValueDefault</a> (inout <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> p_total)</td></tr>
<tr class="memdesc:a4200f904571bbcaa613c50aa56714aab"><td class="mdescLeft">&#160;</td><td class="mdescRight">No active requests for the mat. parameter value change, sets the value to DEFAULT (zero?)  <a href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a4200f904571bbcaa613c50aa56714aab">More...</a><br /></td></tr>
<tr class="separator:a4200f904571bbcaa613c50aa56714aab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ab1ba4c3da56ff826b012e27972e1b656"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d4/dc3/classfloat.html">float</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#ab1ba4c3da56ff826b012e27972e1b656">m_LayerInfo</a></td></tr>
<tr class="separator:ab1ba4c3da56ff826b012e27972e1b656"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dac1000476c27d89c09de6ac95f242a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ab19ab3aa4e820a12e9bf04f9c1036adb">PPETemplateDefFloat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a5dac1000476c27d89c09de6ac95f242a">m_Float</a></td></tr>
<tr class="separator:a5dac1000476c27d89c09de6ac95f242a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b2c67d6e8db886f1152813cf1ff35e7"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a7b2c67d6e8db886f1152813cf1ff35e7">m_ValueDefault</a></td></tr>
<tr class="separator:a7b2c67d6e8db886f1152813cf1ff35e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27f114e51c63cf68eba0923a2aa005f2"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a27f114e51c63cf68eba0923a2aa005f2">m_ValueMin</a></td></tr>
<tr class="separator:a27f114e51c63cf68eba0923a2aa005f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a962fe3c8bdca84ceda9771b5493bab0f"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a962fe3c8bdca84ceda9771b5493bab0f">m_ValueMax</a></td></tr>
<tr class="separator:a962fe3c8bdca84ceda9771b5493bab0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a6440924d96037252cc2a307850b94857" name="a6440924d96037252cc2a307850b94857"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6440924d96037252cc2a307850b94857">&#9670;&#160;</a></span>GetParameterVarType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PPEMatClassParameterFloatSaturation::GetParameterVarType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00263">263</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="a5ca31e6462165fe127b3dc6af49cf712" name="a5ca31e6462165fe127b3dc6af49cf712"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ca31e6462165fe127b3dc6af49cf712">&#9670;&#160;</a></span>InitCuttent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void PPEMatClassParameterFloatSaturation::InitCuttent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00258">258</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="ae0b7637377cf578a7809edba22ef3868" name="ae0b7637377cf578a7809edba22ef3868"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0b7637377cf578a7809edba22ef3868">&#9670;&#160;</a></span>InitDefaults()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void PPEMatClassParameterFloatSaturation::InitDefaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00249">249</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="a783b5a389afd93d7d9c8f1c4096f33c6" name="a783b5a389afd93d7d9c8f1c4096f33c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a783b5a389afd93d7d9c8f1c4096f33c6">&#9670;&#160;</a></span>PPEMatClassParameterFloat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PPEMatClassParameterFloatSaturation::PPEMatClassParameterFloat </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>mat_idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>parameter_idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a>&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00244">244</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="a58812ac45df76e1e75325821d801e97a" name="a58812ac45df76e1e75325821d801e97a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58812ac45df76e1e75325821d801e97a">&#9670;&#160;</a></span>PPEMatClassParameterFloatSaturation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a783b5a389afd93d7d9c8f1c4096f33c6">PPEMatClassParameterFloat</a> extends <a class="el" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html">PPEMatClassParameterCommandData</a> PPEMatClassParameterFloatSaturation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>mat_idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>parameter_idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a>&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00001">1</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="a9f419829262d94f4d3e885dae0aad74d" name="a9f419829262d94f4d3e885dae0aad74d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f419829262d94f4d3e885dae0aad74d">&#9670;&#160;</a></span>PrepareLayerInfo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PPEMatClassParameterFloatSaturation::PrepareLayerInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>layer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>operator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00453">453</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="a4200f904571bbcaa613c50aa56714aab" name="a4200f904571bbcaa613c50aa56714aab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4200f904571bbcaa613c50aa56714aab">&#9670;&#160;</a></span>SetParameterValueDefault()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void PPEMatClassParameterFloatSaturation::SetParameterValueDefault </td>
          <td>(</td>
          <td class="paramtype">inout <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>p_total</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>No active requests for the mat. parameter value change, sets the value to DEFAULT (zero?) </p>

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00460">460</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="a87c7af617bbb5c36ba1e48c6a5f7b6bf" name="a87c7af617bbb5c36ba1e48c6a5f7b6bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87c7af617bbb5c36ba1e48c6a5f7b6bf">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void PPEMatClassParameterFloatSaturation::Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeslice</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>p_total</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>setting_defaults</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>order</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00268">268</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a5dac1000476c27d89c09de6ac95f242a" name="a5dac1000476c27d89c09de6ac95f242a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dac1000476c27d89c09de6ac95f242a">&#9670;&#160;</a></span>m_Float</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d1/d76/_p_p_e_constants_8c.html#ab19ab3aa4e820a12e9bf04f9c1036adb">PPETemplateDefFloat</a> m_Float</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00239">239</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="ab1ba4c3da56ff826b012e27972e1b656" name="ab1ba4c3da56ff826b012e27972e1b656"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1ba4c3da56ff826b012e27972e1b656">&#9670;&#160;</a></span>m_LayerInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>,ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d4/dc3/classfloat.html">float</a>,<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; &gt; m_LayerInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00237">237</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="a7b2c67d6e8db886f1152813cf1ff35e7" name="a7b2c67d6e8db886f1152813cf1ff35e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b2c67d6e8db886f1152813cf1ff35e7">&#9670;&#160;</a></span>m_ValueDefault</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_ValueDefault</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00240">240</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="a962fe3c8bdca84ceda9771b5493bab0f" name="a962fe3c8bdca84ceda9771b5493bab0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a962fe3c8bdca84ceda9771b5493bab0f">&#9670;&#160;</a></span>m_ValueMax</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_ValueMax</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00242">242</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
<a id="a27f114e51c63cf68eba0923a2aa005f2" name="a27f114e51c63cf68eba0923a2aa005f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27f114e51c63cf68eba0923a2aa005f2">&#9670;&#160;</a></span>m_ValueMin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_ValueMin</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00241">241</a> of file <a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html">PPEMatClassParameterFloat.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_c47f94472bb805e132f6030d73142c12.html">MatParameters</a></li><li class="navelem"><a class="el" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html">PPEMatClassParameterFloat.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
